#ifndef PW_SYSTEM_PATH_HPP
#define PW_SYSTEM_PATH_HPP

#include <pw/core/globals.hpp>

namespace pw {


class path {
public:

	static path& get();
	~path();

	std::string separator();

	std::string executable_path();

	typedef std::vector<std::string> path_list;



protected:

	path_list _plugin_paths;
	path_list _resource_paths;

	path();

	struct impl;
	std::unique_ptr<impl> _impl;


};

}

#endif
